> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mangopay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server.

# API - Jul 31, 2014 - Lapin

Changed

### Enhancements

Serbian CountryOfResidence or Nationality is now available

Previously Serbian (ISO code RS) was throwing an error, this has now been fixed.

More information about refunded PayOuts

If a successful PayOut is later refunded back to the wallet, more information is now provided in the GET /Refunds/:RefundId call where you’ll find a new object called RefundReason, for example:

RefundReason: `{ RefundReasonMessage: “Mangopay has been told this account has now been closed” RefundReasonType: “BANKACCOUNT_HAS_BEEN_CLOSED” }`

Also, we’ve added three new hooks PAYOUT\_REFUND\_CREATED, PAYOUT\_REFUND\_SUCCEEDED, PAYOUT\_REFUND\_FAILED to allow you to receive notifications about these three new events.

KYC info is now correctly showing for users

When viewing a user’s info with GET /Users/:UserId, the KYC properties ProofOfAddress (Natural), ProofOfIdentity (Natural), ShareholderDeclaration (Legal), Statute (Legal), ProofOfRegistration (Legal) are now correctly completed if the property has been successfully validated.

PAYIN\_REFUND\_CREATED hook is now available

There was a previous problem with the PAYIN\_REFUND\_CREATED hook which wasn’t triggering correctly but this is now fixed.